<?php 
session_start();
require('../cfg/cfg.php');
//$pagina_descri='REGISTRO DE DOCUMENTOS -'.time().' ';
$pagina_descri='SUBIR XML ';
$pagina_nivel;
$pagina_tipo;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $pagina_descri; ?></title>
<script type="text/javascript" src="../js/jquery-1.11.1.js"></script>
<script type="text/javascript">
function uploadAjax(archivo){
	
	document.getElementById('subir_error').innerHTML='';
	if(document.getElementById(archivo).value==''){alert('No ha elegido ningun archivo');return false;}

var inputFileImage = document.getElementById(archivo);
var file = inputFileImage.files[0];
var data = new FormData();
data.append('archivo',file);
//document.getElementById('foto').disabled=true;
//document.getElementById('btn_dper').disabled=true;
document.getElementById('subir_error').innerHTML='Cargando...';
$.ajax({
	url:'vrce.php', 
	async:true,
	type:'POST',
	contentType:false,
	data:data,
	processData:false,
	cache:false,
	success: function(dato)
	{	
		document.getElementById('subir_error').innerHTML=dato;
		//var patron = /^\d*$/;
    	//if(cadena.search(patron)){document.getElementById('subir_error').innerHTML='<a href=""></a>';}
		/*
		console.log(dato);
		if(dato=='1'){alert('Error: Se ha cerrado su sesion, salga y vuelva a ingresar');}
		else if(dato=='2'){alert('Error: no se pudo subir el archivo');}
		else if(dato=='3'){alert('Solo se aceptan xml');}
		else{
			
		}
		*/
                //document.getElementById(archivo).value='';
		
	},
	error:function(jqXHR,textStatus,errorThrown )
	{
           if (jqXHR.status === 0) {
              alert('Not connect: Verify Network.');
           } else if (jqXHR.status == 404) {
              alert('Requested page not found [404]');
           } else if (jqXHR.status == 500) {
               alert('Internal Server Error [500].');
           } else if (exception === 'parsererror') {
               alert('Requested JSON parse failed.');
           } else if (exception === 'timeout') {
               alert('Servidor no Responde');
           } else if (exception === 'abort') {
               alert('Ajax request aborted.');
           } else {
               alert('Uncaught Error: ' + jqXHR.responseText);
           }
		}, 
	    complete:function(jqXHR, textStatus){if(textStatus==='success'){}},
		timeout:90000
});
}
</script>

</head>

<body>
<?php include('../../_lib/cabecera2.php');?>
	<div><input type="file" id="xml" alt="sube xml" title="sube xml" accept="text/xml" /><input type="button" onclick="uploadAjax('xml');" value="subir" id="btn_xml" /></div>
    <div id="subir_error"></div>

</body>
</html>